package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.commands.I2cCommand;
import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.PartitionBurner;
import com.vendor.burn.serial.workers.PartitionBurnerWorker;
import com.vendor.burn.utilitily.ToolUtils;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    if (fastbootMonitor != null)
      fastbootMonitor.begin(); 
    if (context.getTransferWay() == TransferWay.I2CBootrom)
      if (I2cCommand.I2cOpenChannelForBootrom(52, fastbootMonitor)) {
        PartitionBurnerWorker.infoln("\nI2C channels open success, the bit rate is " + I2cCommand.getBaudRate() + ", device address is 52");
      } else {
        return Status.CANCEL_STATUS;
      }  
    if (context.getTransferWay() == TransferWay.Usb2I2c)
      PartitionBurnerWorker.infoln("\nI2C channels open success, the bit rate is " + I2cCommand.getBaudRate() + ", device address is 52"); 
    try {
      boolean erase = worker.erase(monitor, ToolUtils.removeNoEarsePart(PartitionBurner.this.getChildren()));
      if (fastbootMonitor != null)
        fastbootMonitor.getEvent().setSuccess(erase); 
    } catch (Throwable e) {
      monitor.setCanceled(true);
      if (fastbootMonitor != null)
        fastbootMonitor.getEvent().setMessage(e.getMessage()); 
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
}
